// Code generated by protoc-gen-go.
// source: hapi/chart/metadata.proto
// DO NOT EDIT!

package chart

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

//
// Maintainer:
//
// 		A descriptor of the Chart maintainer(s).
//
type Maintainer struct {
	// Name is a user name or organization name
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// Email is an optional email address to contact the named maintainer
	Email string `protobuf:"bytes,2,opt,name=email" json:"email,omitempty"`
}

func (m *Maintainer) Reset()                    { *m = Maintainer{} }
func (m *Maintainer) String() string            { return proto.CompactTextString(m) }
func (*Maintainer) ProtoMessage()               {}
func (*Maintainer) Descriptor() ([]byte, []int) { return fileDescriptor2, []int{0} }

//
// Metadata:
//
// 		Metadata for a Chart file. This models the structure
// 		of a Chart.yaml file.
//
// 		Spec: https://github.com/kubernetes/helm/blob/master/docs/design/chart_format.md#the-chart-file
//
type Metadata struct {
	// The name of the chart
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// The URL to a relecant project page, git repo, or contact person
	Home string `protobuf:"bytes,2,opt,name=home" json:"home,omitempty"`
	// Source is the URL to the source code of this chart
	Source string `protobuf:"bytes,3,opt,name=source" json:"source,omitempty"`
	// A SemVer 2 conformant version string of the chart
	Version string `protobuf:"bytes,4,opt,name=version" json:"version,omitempty"`
	// A one-sentence description of the chart
	Description string `protobuf:"bytes,5,opt,name=description" json:"description,omitempty"`
	// A list of string keywords
	Keywords []string `protobuf:"bytes,6,rep,name=keywords" json:"keywords,omitempty"`
	// A list of name and URL/email address combinations for the maintainer(s)
	Maintainers []*Maintainer `protobuf:"bytes,7,rep,name=maintainers" json:"maintainers,omitempty"`
}

func (m *Metadata) Reset()                    { *m = Metadata{} }
func (m *Metadata) String() string            { return proto.CompactTextString(m) }
func (*Metadata) ProtoMessage()               {}
func (*Metadata) Descriptor() ([]byte, []int) { return fileDescriptor2, []int{1} }

func (m *Metadata) GetMaintainers() []*Maintainer {
	if m != nil {
		return m.Maintainers
	}
	return nil
}

func init() {
	proto.RegisterType((*Maintainer)(nil), "hapi.chart.Maintainer")
	proto.RegisterType((*Metadata)(nil), "hapi.chart.Metadata")
}

var fileDescriptor2 = []byte{
	// 224 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x6c, 0x90, 0xb1, 0x4e, 0xc3, 0x30,
	0x10, 0x86, 0x15, 0xda, 0x24, 0xe5, 0xb2, 0x9d, 0x50, 0x65, 0x98, 0xa2, 0x4e, 0x4c, 0xae, 0x04,
	0x12, 0x62, 0x66, 0xef, 0xd2, 0x91, 0xed, 0x48, 0x4e, 0x8a, 0x05, 0x8e, 0x23, 0xdb, 0x80, 0x78,
	0x57, 0x1e, 0x06, 0xf7, 0x1a, 0x92, 0x0c, 0x1d, 0x22, 0xdd, 0xff, 0x7d, 0x77, 0x91, 0x7e, 0xc3,
	0x6d, 0x47, 0x83, 0xd9, 0x37, 0x1d, 0xf9, 0xb8, 0xb7, 0x1c, 0xa9, 0xa5, 0x48, 0x7a, 0xf0, 0x2e,
	0x3a, 0x84, 0x93, 0xd2, 0xa2, 0x76, 0x4f, 0x00, 0x07, 0x32, 0x7d, 0x4c, 0x1f, 0x7b, 0x44, 0x58,
	0xf7, 0x64, 0x59, 0x65, 0x75, 0x76, 0x7f, 0x7d, 0x94, 0x19, 0x6f, 0x20, 0x67, 0x4b, 0xe6, 0x43,
	0x5d, 0x09, 0x3c, 0x87, 0xdd, 0x6f, 0x06, 0x9b, 0xc3, 0xf8, 0xdb, 0x8b, 0x67, 0x89, 0x75, 0x2e,
	0xb1, 0xf3, 0x95, 0xcc, 0xb8, 0x85, 0x22, 0xb8, 0x4f, 0xdf, 0xb0, 0x5a, 0x09, 0x1d, 0x13, 0x2a,
	0x28, 0xbf, 0xd8, 0x07, 0xe3, 0x7a, 0xb5, 0x16, 0xf1, 0x1f, 0xb1, 0x86, 0xaa, 0xe5, 0xd0, 0x78,
	0x33, 0xc4, 0x93, 0xcd, 0xc5, 0x2e, 0x11, 0xde, 0xc1, 0xe6, 0x9d, 0x7f, 0xbe, 0x9d, 0x6f, 0x83,
	0x2a, 0xea, 0x55, 0xd2, 0x53, 0xc6, 0x67, 0xa8, 0xec, 0x54, 0x2e, 0xa8, 0x32, 0xe9, 0xea, 0x61,
	0xab, 0xe7, 0xfa, 0x7a, 0xee, 0x7e, 0x5c, 0xae, 0xbe, 0x94, 0xaf, 0xb9, 0x2c, 0xbc, 0x15, 0xf2,
	0x64, 0x8f, 0x7f, 0x01, 0x00, 0x00, 0xff, 0xff, 0x23, 0x79, 0xfc, 0xf8, 0x4f, 0x01, 0x00, 0x00,
}
